LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XSortableMutableGridDataModel Interface Reference

describes a grid control data model whose data can be modified and sorted. More...

`import "XSortableMutableGridDataModel.idl";`

Inheritance diagram for XSortableMutableGridDataModel:

## Exported Interfaces
interface | XMutableGridDataModel
| provides access to the basic functionality of a grid data model, plus functions to modify it.
interface | XSortableGridData
| provides means to sort the data represented by the model.
Exported Interfaces inherited from XGridDataModel
interface | ::com::sun::star::lang::XComponent
| implements life time control for the component
interface | ::com::sun::star::util::XCloneable
| allows cloning the complete data model

## Additional Inherited Members
Public Member Functions inherited from XMutableGridDataModel
void | addRow ([in] any Heading, [in] sequence< any > Data)
| appends a row to the model.
void | addRows ([in] sequence< any > Headings, [in] sequence< sequence< any > > Data) raises ( ::com::sun::star::lang::IllegalArgumentException )
| appends multiple rows of data to the model.
void | insertRow ([in] long Index, [in] any Heading, [in] sequence< any > Data) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| inserts a row into the set of data rows
void | insertRows ([in] long Index, [in] sequence< any > Headings, [in] sequence< sequence< any > > Data) raises ( ::com::sun::star::lang::IndexOutOfBoundsException , ::com::sun::star::lang::IllegalArgumentException )
| inserts multiple rows of data into the model.
void | removeRow ([in] long RowIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| removes a row of data from the model
void | removeAllRows ()
| Removes all rows from the model.
void | updateCellData ([in] long ColumnIndex, [in] long RowIndex, [in] any Value) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| updates the content of the given cell
void | updateRowData ([in] sequence< long > ColumnIndexes, [in] long RowIndex, [in] sequence< any > Values) raises ( ::com::sun::star::lang::IndexOutOfBoundsException , ::com::sun::star::lang::IllegalArgumentException)
| updates the content of a given row.
void | updateRowHeading ([in] long RowIndex, [in] any Heading) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| sets a new title for a given row.
void | updateCellToolTip ([in] long ColumnIndex, [in] long RowIndex, [in] any Value) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| updates the tooltip to be displayed for a given cell
void | updateRowToolTip ([in] long RowIndex, [in] any Value) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| updates the tooltip for all cells of a given row
void | addGridDataListener ([in] XGridDataListener Listener)
| registers listener to be notified of data changes in the model
void | removeGridDataListener ([in] XGridDataListener Listener)
| revokes a listener which was previously registered via addGridDataListener()
Public Member Functions inherited from XGridDataModel
any | getCellData ([in] long Column, [in] long RowIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| retrieves the data for a given cell
any | getCellToolTip ([in] long Column, [in] long RowIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| retrieves the tool tip to be displayed when the mouse hovers over a given cell
any | getRowHeading ([in] long RowIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| retrieves the heading of a given row
sequence< any > | getRowData ([in] long RowIndex) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| retrieves the data for a complete row
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Public Member Functions inherited from XSortableGridData
void | sortByColumn ([in] long ColumnIndex, [in] boolean SortAscending) raises ( ::com::sun::star::lang::IndexOutOfBoundsException )
| sorts the rows represented by the model by a given column's data.
void | removeColumnSort ()
| removes any possibly present sorting of the grid data
::com::sun::star::beans::Pair< long, boolean > | getCurrentSortOrder ()
| returns the current sort order.
Public Attributes inherited from XGridDataModel
long | RowCount
| denotes the number of rows for which the model can provide data
long | ColumnCount
| denotes the number of columns for which the model can provide data

## Detailed Description

describes a grid control data model whose data can be modified and sorted.

## Exported Interfaces

## ◆ XMutableGridDataModel

interface XMutableGridDataModel

provides access to the basic functionality of a grid data model, plus functions to modify it.

## ◆ XSortableGridData

interface XSortableGridData

provides means to sort the data represented by the model.

If you set a new column sort order, the implementation will notify the registered XGridDataListeners via a call to its XGridDataListener::dataChanged() method.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/grid/XSortableMutableGridDataModel.idl